Loading...
Searching...
No Matches
gsm0503_amr_dtx.h File Reference
Coding

GSM TS 05.03 coding. More...

`#include <stdint.h>`
`#include <osmocom/core/defs.h>`
`#include <osmocom/core/bits.h>`

Go to the source code of this file.

## Enumerations

enum | gsm0503_amr_dtx_frames { AMR_OTHER , AFS_SID_FIRST , AFS_SID_UPDATE , AFS_SID_UPDATE_CN , AFS_ONSET , AHS_SID_UPDATE , AHS_SID_UPDATE_CN , AHS_SID_FIRST_P1 , AHS_SID_FIRST_P2 , AHS_ONSET , AHS_SID_FIRST_INH , AHS_SID_UPDATE_INH }

## Functions

static const char * | gsm0503_amr_dtx_frame_name (enum gsm0503_amr_dtx_frames frame)
enum gsm0503_amr_dtx_frames | gsm0503_detect_afs_dtx_frame (int *n_errors, int *n_bits_total, const ubit_t *ubits) OSMO_DEPRECATED("Use gsm0503_detect_afs_dtx_frame2() instead")
| Detect FR AMR DTX frame in unmapped, deinterleaved frame bits.
enum gsm0503_amr_dtx_frames | gsm0503_detect_ahs_dtx_frame (int *n_errors, int *n_bits_total, const ubit_t *ubits) OSMO_DEPRECATED("Use gsm0503_detect_ahs_dtx_frame2() instead")
| Detect HR AMR DTX frame in unmapped, deinterleaved frame bits.
enum gsm0503_amr_dtx_frames | gsm0503_detect_afs_dtx_frame2 (int *n_errors, int *n_bits_total, int *mode_id, const sbit_t *sbits)
| Detect FR AMR DTX frame in unmapped, deinterleaved frame bits.
enum gsm0503_amr_dtx_frames | gsm0503_detect_ahs_dtx_frame2 (int *n_errors, int *n_bits_total, int *mode_id, const sbit_t *sbits)
| Detect HR AMR DTX frame in unmapped, deinterleaved frame bits.

## Variables

const struct value_string | gsm0503_amr_dtx_frame_names []

## Detailed Description

GSM TS 05.03 coding.